/*
 * Copyright (c) 2023 Xilinx
 * This package is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.

 * This package is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public
 * License along with this package; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 */

#include <xmacpp/SessionFactory.h>

int main(int /* argc */, char** argv) {
  auto             log    = xma::Log::MakeLog(XMA_NOTICE_LOG, XMA_LOG_TYPE_CONSOLE, nullptr);
  XmaInitParameter params = {};
  params.app_name         = "test";
  auto sessionFactory     = xma::SessionFactory::MakeSessionFactory(log, &params);
  log->LogMsg(XMA_NOTICE_LOG, argv[0], "SessionFactory Created");
}
